Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface SOAPConstants

public interface SOAPConstants

The definition of constants pertaining to the SOAP 1.1 protocol.

Field Summary
`static java.lang.String` | `URI_NS_SOAP_ENCODING` The namespace identifier for the SOAP 1.1 encoding.
`static java.lang.String` | `URI_NS_SOAP_ENVELOPE` The namespace identifier for the SOAP 1.1 envelope.
`static java.lang.String` | `URI_SOAP_ACTOR_NEXT` The URI identifying the next application processing a SOAP request as the intended actor for a SOAP 1.1 header entry (see section 4.2.2 of the SOAP 1.1 specification).

Field Detail

### URI_NS_SOAP_ENVELOPE

    public static final java.lang.String URI_NS_SOAP_ENVELOPE

  The namespace identifier for the SOAP 1.1 envelope. All `SOAPElement`s in this namespace are defined by the SOAP 1.1 specification.

  See Also:
    Constant Field Values

### URI_NS_SOAP_ENCODING

    public static final java.lang.String URI_NS_SOAP_ENCODING

  The namespace identifier for the SOAP 1.1 encoding. An attribute named `encodingStyle` in the `URI_NS_SOAP_ENVELOPE` namespace and set to the value `URI_NS_SOAP_ENCODING` can be added to an element to indicate that it is encoded using the rules in section 5 of the SOAP 1.1 specification.

  See Also:
    Constant Field Values

### URI_SOAP_ACTOR_NEXT

    public static final java.lang.String URI_SOAP_ACTOR_NEXT

  The URI identifying the next application processing a SOAP request as the intended actor for a SOAP 1.1 header entry (see section 4.2.2 of the SOAP 1.1 specification).

  This value can be passed to `SOAPHeader.examineMustUnderstandHeaderElements(String)`, `SOAPHeader.examineHeaderElements(String)` and `SOAPHeader.extractHeaderElements(String)`

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.